Package org.oasis_open.docs.ws_calendar.ns.soap

# Class PropstatType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType
org.oasis_open.docs.ws_calendar.ns.soap.PropstatType

public class PropstatType extends BaseResponseType
Contains prop elements with the same status

Java class for PropstatType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PropstatType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseResponseType">
           <sequence>
             <element name="prop" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}MultistatusPropElementType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<MultistatusPropElementType>`
  `prop`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `errorResponse, id, message, status`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropstatType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MultistatusPropElementType>`
  `getProp()`
  Gets the value of the prop property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseResponseType

  `getErrorResponse, getId, getMessage, getStatus, setErrorResponse, setId, setMessage, setStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prop

    protected List<MultistatusPropElementType> prop

- ## Constructor Details

  - ### PropstatType

    public PropstatType()

- ## Method Details

  - ### getProp

    public List<MultistatusPropElementType> getProp()
    Gets the value of the prop property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prop property.

    For example, to add a new item, do as follows:

            getProp().add(newItem);

    Objects of the following type(s) are allowed in the list `MultistatusPropElementType`